# Google Data APIs Client Library (1.43.0)

## com.google.gdata.client.http
Class GoogleGDataRequest.Factory

    java.lang.Object
      com.google.gdata.client.http.HttpGDataRequest.Factory
          com.google.gdata.client.http.GoogleGDataRequest.Factory

All Implemented Interfaces:
  Service.GDataRequestFactory

Enclosing class:
  GoogleGDataRequest

    public static class GoogleGDataRequest.Factory

extends HttpGDataRequest.Factory

The GoogleGDataRequest.Factory class is a factory class for constructing new GoogleGDataRequest instances.

Field Summary

Fields inherited from class com.google.gdata.client.http.HttpGDataRequest.Factory
`authToken, connectionSource, headerMap, privateHeaderMap, useSsl`

Constructor Summary
`GoogleGDataRequest.Factory()`

Method Summary
`protected Service.GDataRequest` `createRequest(Service.GDataRequest.RequestType type, java.net.URL requestUrl, ContentType contentType)` Creates a `Service.GDataRequest` instance.

Methods inherited from class com.google.gdata.client.http.HttpGDataRequest.Factory
`getRequest, getRequest, setAuthToken, setAuthToken, setConnectionSource, setHeader, setPrivateHeader, useSsl`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GoogleGDataRequest.Factory

    public GoogleGDataRequest.Factory()

Method Detail

### createRequest

    protected Service.GDataRequest createRequest(Service.GDataRequest.RequestType type,
                                                 java.net.URL requestUrl,
                                                 ContentType contentType)
                                          throws java.io.IOException,
                                                 ServiceException

  Description copied from class: `HttpGDataRequest.Factory`
  Creates a `Service.GDataRequest` instance.

  This method is called from `HttpGDataRequest.Factory.getRequest(com.google.gdata.client.Service.GDataRequest.RequestType, java.net.URL, com.google.gdata.util.ContentType)` after any changes to the parameters have been applied.

  Subclasses should overwrite this method and not `HttpGDataRequest.Factory.getRequest(com.google.gdata.client.Service.GDataRequest.RequestType, java.net.URL, com.google.gdata.util.ContentType)`

  Overrides:
    `createRequest` in class `HttpGDataRequest.Factory`
  Throws:
    `java.io.IOException`
    `ServiceException`